set mesh=%1
..\..\bin\RiemannMapper.exe -cut_graph %mesh%.m %mesh%.cut.m
..\..\bin\RiemannMapper.exe -slice %mesh%.cut.m %mesh%.open.m
..\..\bin\RiemannMapper.exe -homology %mesh%.m base
..\..\bin\RiemannMapper.exe -slice base_0.m base_0.open.m
..\..\bin\RiemannMapper.exe -slice base_1.m base_1.open.m
..\..\bin\RiemannMapper.exe -slice base_2.m base_2.open.m
..\..\bin\RiemannMapper.exe -slice base_3.m base_3.open.m


..\..\bin\RiemannMapper.exe -cohomology_one_form %mesh%.m base_0.open.m base_0.du.m base_0.duv.m
..\..\bin\RiemannMapper.exe -cohomology_one_form %mesh%.m base_1.open.m base_1.du.m base_1.duv.m
..\..\bin\RiemannMapper.exe -cohomology_one_form %mesh%.m base_2.open.m base_2.du.m base_2.duv.m
..\..\bin\RiemannMapper.exe -cohomology_one_form %mesh%.m base_3.open.m base_3.du.m base_3.duv.m

..\..\bin\RiemannMapper.exe -diffuse base_0.du.m base_0.duv.m base_0.du.m base_0.duv.m
..\..\bin\RiemannMapper.exe -diffuse base_1.du.m base_1.duv.m base_1.du.m base_1.duv.m
..\..\bin\RiemannMapper.exe -diffuse base_2.du.m base_2.duv.m base_2.du.m base_2.duv.m
..\..\bin\RiemannMapper.exe -diffuse base_3.du.m base_3.duv.m base_3.du.m base_3.duv.m

..\..\bin\RiemannMapper.exe -holomorphic_form base_0.du.m base_1.du.m base_2.du.m base_3.du.m

..\..\bin\RiemannMapper.exe -integration holomorphic_form_0.m %mesh%.open.m holo_0.uv.m
..\..\bin\RiemannMapper.exe -integration holomorphic_form_1.m %mesh%.open.m holo_1.uv.m
..\..\bin\RiemannMapper.exe -integration holomorphic_form_2.m %mesh%.open.m holo_2.uv.m
..\..\bin\RiemannMapper.exe -integration holomorphic_form_3.m %mesh%.open.m holo_3.uv.m

..\..\bin\RiemannMapper.exe -linear_combination holomorphic_form_2_1.m holomorphic_form_0.m 2.0 holomorphic_form_2.m 1.0 
..\..\bin\RiemannMapper.exe -integration holomorphic_form_2_1.m %mesh%.open.m holo_2_1.uv.m
..\..\bin\viewerconverter.exe holo_2_1.uv.m ..\..\textures\check_1k_64.bmp

..\..\bin\RiemannMapper.exe -linear_combination holomorphic_form_2_n1.m holomorphic_form_0.m 2.0 holomorphic_form_2.m -1.0 
..\..\bin\RiemannMapper.exe -integration holomorphic_form_2_n1.m %mesh%.open.m holo_2_n1.uv.m
..\..\bin\viewerconverter.exe holo_2_n1.uv.m ..\..\textures\check_1k_64.bmp

del *.cut.m
del *.open.m
del *.duv.m
del base*.m
del holomorphic_form*.m

